inst-bpm - Task #9191

Milestone # 9017 (Accepted): State Machine subsystem
Implemented SharedCommandListTable
06/12/2015 12:35 PM - John Diamond

Status: Closed Start date: 06/12/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: bpmd Estimated time: 8.00 hours
Target version: Spent time: 5.00 hours
Description

Implement a static array-base container for command lists that places itself inside of an RTAI shared memory segment.

History

#1 - 06/12/2015 01:55 PM - John Diamond

Renaming to SharedCommandTable.

#2 - 06/12/2015 03:06 PM - John Diamond
- % Done changed from 0 to 20

Actually, the StateMachine class will be responsible for allocating the RTAI shared memory segment and using in-place new to initialize
SharedCommandTable.

#3 - 06/15/2015 12:31 PM - John Diamond
- % Done changed from 20 to 50

#4 - 07/20/2015 04:36 PM - John Diamond
- Status changed from New to Closed

- % Done changed from 50 to 100
